Get Certificates By Domain

Get Certificates By Domain
Retrieve the certificate details for all resources in a domain

View detailed metadata about the certificate(s) of all the resources in a domain

Request
URI
GET
https://{api_host}/v1/domains/{id}/resource-certificates
COPY
Path Parameters
string
id
Required

Domain ID or Name

id example
3E86FBAD-8984-4D4B-992D-F0C49857572A
Query Parameters
string
excludeResourceType
Optional

Optional parameter to exclude a specific resource type from the API response. When provided, the response will omit certificates associated with the specified resource type.

string
pageNumber
Optional
Constraints: default: 0

The page number (must be a positive number), starts with 0

string
pageSize
Optional
Constraints: default: 0

The page size (must be a positive number, 0 as page size returns all records in one page


Responses
200

Ok

Returns PageOfCertificate of type(s) application/json
{
    "elements": [
        {
            "isInstalled": false,
            "version": "V3",
            "serialNumber": "46:85:19:77:36:12:67:26",
            "issuedTo": "sfo-vc01.rainpole.io",
            "resourceType": "One among: SDDC_MANAGER, PSC, VCENTER, NSXT_MANAGER, NSX_ALB, ESXI, HCX_MANAGER, VSP",
            "resourceName": "string",
            "issuedBy": "CN=OpenSSL CA, OU=VCF, O=VMware, L=Bengaluru, ST=Karnataka, C=IN",
            "notBefore": "2020-01-01T00:00:00Z",
            "notAfter": "2021-02-02T00:00:00Z",
            "signatureAlgorithm": "SHA256withRSA",
            "subject": "CN=sfo-vc01.rainpole.io, OU=VCF, O=VMware, L=Bengaluru, ST=Karnataka, C=IN",
            "domain": "3E86FBAD-8984-4D4B-992D-F0C49857572A",
            "subjectAlternativeName": [
                "sfo-vc01.rainpole.io"
            ],
            "publicKey": "D6:FD:DF:33:F1:...",
            "publicKeyAlgorithm": "One among: RSA",
            "keySize": "One among: 2048, 3072, 4096",
            "thumbprintAlgorithm": "SHA-256",
            "thumbprint": "59:24:D5:18:04:A0:26:B0:A4:05:EA:82:60:95:82:A2:4B:F6:31:FB:81:93:01:F3:29:7D:34:9C:D3:05:39:90",
            "numberOfDaysToExpire": 398,
            "expirationStatus": "One among: ACTIVE, ABOUT_TO_EXPIRE, EXPIRED",
            "pemEncoded": "-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----",
            "getCertificateError": "Status : NOT_TRUSTED, Message : Certificate Expired",
            "operationType": "One among: GENERATE_CSR, GENERATE_CERTIFICATE, REPLACE_CERTIFICATE",
            "operationStatus": "One among: PENDING, Pending, IN_PROGRESS, In Progress, SUCCESSFUL, Successful, FAILED, Failed, CANCELLED, Cancelled, COMPLETED_WITH_WARNING, SKIPPED, QUEUED, TIMED_OUT, Queued, Timed Out",
            "operationMessage": "string",
            "caChain": [
                {
                    "isInstalled": false,
                    "version": "V3",
                    "serialNumber": "46:85:19:77:36:12:67:26",
                    "issuedTo": "sfo-vc01.rainpole.io",
                    "resourceType": "One among: SDDC_MANAGER, PSC, VCENTER, NSXT_MANAGER, NSX_ALB, ESXI, HCX_MANAGER, VSP",
                    "resourceName": "string",
                    "issuedBy": "CN=OpenSSL CA, OU=VCF, O=VMware, L=Bengaluru, ST=Karnataka, C=IN",
                    "notBefore": "2020-01-01T00:00:00Z",
                    "notAfter": "2021-02-02T00:00:00Z",
                    "signatureAlgorithm": "SHA256withRSA",
                    "subject": "CN=sfo-vc01.rainpole.io, OU=VCF, O=VMware, L=Bengaluru, ST=Karnataka, C=IN",
                    "domain": "3E86FBAD-8984-4D4B-992D-F0C49857572A",
                    "subjectAlternativeName": [
                        "sfo-vc01.rainpole.io"
                    ],
                    "publicKey": "D6:FD:DF:33:F1:...",
                    "publicKeyAlgorithm": "One among: RSA",
                    "keySize": "One among: 2048, 3072, 4096",
                    "thumbprintAlgorithm": "SHA-256",
                    "thumbprint": "59:24:D5:18:04:A0:26:B0:A4:05:EA:82:60:95:82:A2:4B:F6:31:FB:81:93:01:F3:29:7D:34:9C:D3:05:39:90",
                    "numberOfDaysToExpire": 398,
                    "expirationStatus": "One among: ACTIVE, ABOUT_TO_EXPIRE, EXPIRED",
                    "pemEncoded": "-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----",
                    "getCertificateError": "Status : NOT_TRUSTED, Message : Certificate Expired",
                    "operationType": "One among: GENERATE_CSR, GENERATE_CERTIFICATE, REPLACE_CERTIFICATE",
                    "operationStatus": "One among: PENDING, Pending, IN_PROGRESS, In Progress, SUCCESSFUL, Successful, FAILED, Failed, CANCELLED, Cancelled, COMPLETED_WITH_WARNING, SKIPPED, QUEUED, TIMED_OUT, Queued, Timed Out",
                    "operationMessage": "string",
                    "caChain": [
                        "Certificate Object"
                    ],
                    "domainId": "3E86FBAD-8984-4D4B-992D-F0C49857572A",
                    "autoRenew": "One among: NOT_SUPPORTED, ENABLED, DISABLED",
                    "autoRenewStatus": "One among: PENDING, SCHEDULED, FAILED",
                    "caType": "One among: OpenSSL, Microsoft, VMCA",
                    "autoRenewFailureMessage": "string"
                }
            ],
            "domainId": "3E86FBAD-8984-4D4B-992D-F0C49857572A",
            "autoRenew": "One among: NOT_SUPPORTED, ENABLED, DISABLED",
            "autoRenewStatus": "One among: PENDING, SCHEDULED, FAILED",
            "caType": "One among: OpenSSL, Microsoft, VMCA",
            "autoRenewFailureMessage": "string"
        }
    ],
    "pageMetadata": {
        "pageNumber": 0,
        "pageSize": 0,
        "totalElements": 0,
        "totalPages": 0
    }
}
array of object
elements
Optional

The list of elements included in this page

object
pageMetadata
Optional

Represents pageable elements pagination metadata


404

Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/domains/{id}/resource-certificates